$INTERFACE UEDRS4                                             98/12/01
  $E1='E1'
  $IP='IP'
  $HELP
    TYPE OF DIFFERENTIAL SYSTEM
      0 - AUTONOMOUS
      1 - GENERAL
  $CHECK(ISYS,0,'0\1',1,NO)
  $IF(ISYS=1)
    $ET='ET'
  $ELSE
    $ET='EF'
  $ENDIF
  $DIME='11*($MEL)'
  $IF(MED<2) $DIME='7*($MEL)'
  $IF(MED=1)
    NAL=$NA
  $ENDIF
  $HELP
    STEP SELECTION
      1 - STEP SELECTION FROM LOCAL TRUNCATION ERROR
      2 - STEP SELECTION FROM PRESCRIBED MESH POINTS
  $CHECK(MED1,1,'1\2',4)
  $IF(MED1=1) $MED2=0
  $HELP
    NUMBER OF RESETING SOLUTIONS
      MED2=0 - NO RESETING SOLUTIONS
      MED2=1 - FIRST NE SOLUTIONS RESETTED
      MED2=2 - FIRST NE SOLUTIONS INTERPOLATED
  $CHECK(MED2,0,'0\1\2',4)
  $HELP
    METHOD SELECTION
      1 - FIRST METHOD
      2 - SECOND METHOD
  $CHECK(MED3,1,'1\2',4)
  $HELP
    MAXIMUM NUMBER OF INTEGRATION STEPS
  $CHECK(MSTP,100000,INT,3)
  $HELP
    PARAMETER FOR STEPSIZE SELECTION
  $CHECK(TET1,'5.0$P 0',REAL,4)
  $HELP
    PARAMETER FOR STEPSIZE SELECTION
  $CHECK(TET2,'6.0$P 0',REAL,4)
  $HELP
    SAFETY FACTOR FOR STEPSIZE PREDICTION
  $CHECK(TET3,'0.9$P 0',REAL,4)
  $HELP
    INITIAL STEPSIZE
  $CHECK(HE,'0.0$P 0',REAL,4)
  $HELP
    MAXIMUM STEPSIZE
  $CHECK(HEMAX,'0.0$P 0',REAL,4)
  $HELP
    RELATIVE PRECISION
  $CHECK(TOLR,'1.0$P-6',REAL,3)
  $HELP
    ABSOLUTE PRECISION
  $CHECK(TOLA,'1.0$P-6',REAL,3)
  $HELP
    UPPER BOUND FOR SOLUTION NORM
  $CHECK(FMAX,'1.0$P 20',REAL,4)
  CALL UEDRS4(NA,NAL,NE,MEL,$MEL,KA,$AT,$AY,$YA,$YAO,$EF,$ET,$ES,$ED&
,$E1,$IP,$ETA0,$TET1,$TET2,TA,TAO,TAMAX,HE,HEMAX,FMAX,ERR,MED,MED1&
,MED2,MED3,NACC,NREJ,IER,$ISYS)
  $ADD(REAL,'\$AT($NA)\$AY($NA*$NE)\$YA($MEL)\$YAO($MEL)\$EF($MEL)&
  \$ET($MEL)\$ES($DIME)\$ED($MEL,$MEL)\$E1($MEL,$MEL)')
  $ADD(INTEGER,'\$IP($MEL)')
$REM  $ADD(REAL,'\TA\TAO\TAMAX\HE\HEMAX\FMAX\ERR')
$REM  $ADD(INTEGER,'\NA\NAL\NE\MEL\KA\NACC\NREJ\IER')
  GOTO ($LET,$LED,$LEX) ISB+1
  $ADD(SINID)
    HEMAX=TAMAX-TA
  $ENDADD
  $ADD(INIT)
    NEDX='UEVDP5'
  $ENDADD
  $EXIT
