$INTERFACE UF1F01                                             97/12/01
  $HELP
    TYPE OF EXTREMUM:
      0 - MINIMUM
      1 - MAXIMUM
  $CHECK(IEXT,0,'0\1',1)
  $IF(IEXT=0)
    $G=GF
  $ENDIF
  $HELP
    LOWER BOUND FOR FUNCTION VALUE
  $CHECK(FMIN,'-$ETA9',REAL,2)
  $ADD(REAL,'\$GF($NF)\$G($NF)')
$REM  $ADD(REAL,'\FF\F')
$REM  $ADD(INTEGER,'\NF')
 $00  CALL UF1F01(NF,$GF,$G,FF,F)
      GOTO ($40,$10,$20) ISB+1
 $10  CONTINUE
      $MTYPE=FMODF
      $SUBST('UZFMOD')
      GOTO $00
 $20  CONTINUE
      $IF(GMODF='G')
        $MTYPE='G'
        $SUBST('UZFMOD')
        GOTO $00
      $ELSEIF(FMODF='F')
        $IF(HESF<>'NO')
          $HELP
            METHOD FOR DETERMINATION OF DIFFERENCE USED FOR
            NUMERICAL COMPUTATION OF GRADIENT:
              0 - CONSTANT DIFFERENCE
              1 - EASY COMPARATIVE METHOD
              2 - STEWART'S METHOD.
          $CHECK(MCG,2,'0\1\2',3)
        $ELSE
          $HELP
            METHOD FOR DETERMINATION OF DIFFERENCE USED FOR
            NUMERICAL COMPUTATION OF GRADIENT:
              0 - CONSTANT DIFFERENCE
              1 - EASY COMPARATIVE METHOD
              2 - STEWART'S METHOD.
          $CHECK(MCG,0,'0\1\2',3)
        $ENDIF
        $IF(MCG=0)
          $SUBST('UF0G$(CON)1')
        $ELSE
          $ADD(SINID)
            CALL UXVSET(NF,ZERO,$GF)
            CALL UXVSET(NF,ONE,$HD)
          $ENDADD
          $SUBST('UF0G$(CON)2')
        $ENDIF
        GOTO ($00,$30) ISB+1
 $30  CONTINUE
        $MTYPE=FMODF
        $SUBST('UZFMOD')
        GO TO $20
      $ELSE
        IF (LD.LT.0) GOTO $00
        $MTYPE=FMODF
        $SUBST('UZFMOD')
        GO TO $00
      $ENDIF
 $40  CONTINUE
      $ADD(INIT)
        NFXX='UF1F01'
      $ENDADD
      $EXIT
