$INTERFACE US0R01                                             11/12/01
  $HELP
    TYPE OF THE REGULARIZATION METHOD.
      0 - BASIC REGULARIZATION METHOD
      1 - STRICT REGULARIZATION METHOD
  $CHECK(MES,0,'0\1')
  $HELP
    STRATEGY FOR RESTART
      0 - RESTART AFTER UNSUCCESSFUL STEP
      1 - RESTART AFTER LARGE STEP
      2 - RESTART AFTER LARGE BOUNDARY STEP
  $CHECK(MES3,1,'0\1\2')
  $DEFAULT='0.15$P 0'
  $IF(MES>0) $DEFAULT='0.01$P 0'
  $HELP
    FIRST TOLERANCE FOR RATIO DF/DFPRED. STEP BOUND IS
    DECREASED IF DF/DFPRED<EPS3
  $CHECK(EPS3,DEFAULT,REAL,4)
  $HELP
    SECOND TOLERANCE FOR RATIO DF/DFPRED. STEP BOUND IS
    INCREASED IF IT IS ACTIVE AND DF/DFPRED>EPS4
  $CHECK(EPS4,'0.98$P 0',REAL,4)
  $HELP
    LOWER BOUND FOR PARAMETER REDUCTION
  $CHECK(BET1,'0.1$P 0',REAL,4)
  $HELP
    UPPER BOUND FOR PARAMETER REDUCTION
  $CHECK(BET2,'1.0$P 0',REAL,4)
  $HELP
    LOWER BOUND FOR PARAMETER EXPANSION
  $CHECK(GAM1,'6.0$P 0',REAL,4)
  $HELP
    MAXIMUM NUMBER OF ZERO STEPS IN ONE ITERATION
  $CHECK(MRED,10,INT,4)
  CALL US0R01(EPS3,EPS4,BET1,BET2,GAM1,RO,R,FO,F,PO,PP,PPP,XDEL&
,XDELO,GNORM,PAR1,RMAX,KTERS,MES,MES3,MRED,$KDS)
$REM  $ADD(REAL,'\EPS3\EPS4\BET1\BET2\GAM1\RO\R\FO\F\PO\PP\PPP&
$REM  \XDEL\XDELO\XMAX\GNORM\PAR1\RMAX')
$REM  $ADD(INTEGER,'\KTERS\MES\MES1\MES2\MES3\MRED')
  $ADD(INIT)
    NSXX='US0R01'
  $ENDADD
  $EXIT
