$INTERFACE UCISS1                                             99/12/01
  $HELP
    MAXIMUM BANDWITH OF THE CONSTRAINT PRECONDITIONER
  $CHECK(IBAN,NCA,INT,2,NO)
  $DEFAULT=0
  $IF(IBAN='$NCA') $DEFAULT=10
  $HELP
    MAXIMUM NUMBER OF DENSE ROWS:
  $CHECK(MD,DEFAULT,INT,2,NO)
  $IF(MD<0) $MD=0
  $IF(MD>0)
    $HELP
      MAXIMUM NUMBER OF NONZERO ELEMENTS IN A SPARSE ROW:
    $CHECK(MDE,50,INT,2,NO)
  $ENDIF
  $HELP
    NUMBER OF NONZERO ELEMENTS IN THE PRECONDITIONER:
  $CHECK(MMAX,'20*$MC',INT,2)
  $IF(MD=0)
    $SB='UCISS1'
    CALL UCISS1(NCA,$NN,MC,$MMAX,$IB,$JB,$ICA,$ICG,$JCG,$IBAN)
    $ADD(INTEGER,'\$IB($NCA+1)\$JB($MMAX)\$ICA($NCA)\$ICG($NC+1)&
    \$JCG($MC)')
$REM  $ADD(INTEGER,'\NCA\NC\MC\MMAX')
  $ELSE
    $BD='BD'
    $KCG='KCG'
    $SB='UCISD1'
    CALL UCISD1(NF,NCA,$NN,MC,$MMAX,ND,$MD,$MDE,$IB,$JB,$ICA&
,$ICG,$JCG,$KCG,ITERM)
    IF (NIT.LE.LIT+1.OR.ND.GE.1) THEN
    WRITE(3,'(''NUMBER OF DENSE COLUMNS:    ND  ='',I8)') ND
    ENDIF
    $ADD(INTEGER,'\$IB($NCA+1)\$JB($MMAX)\$ICA($NCA)\$ICG($NC+1)&
    \$JCG($MC)\$KCG($NF)')
    $ADD(REAL,'\$BD($MD*($MD+1)/2)')
$REM  $ADD(INTEGER,'\NF\NCA\NC\MC\MMAX\ND\ITERM')
  $ENDIF
  IF ($IB(NCA+1)-1.GT.$MMAX) THEN
  CALL UOERR2('$SB',97,$IB(NCA+1)-1,$MMAX)
  CALL UOERR4
  ITERM=-97
  ENDIF
  $EXIT
