$INTERFACE UUSSD6                                             97/12/01
  $HELP
    SWITCH FOR THE HYBRID METHOD:
      0 - THE FLETCHER AND XU SWITCH WITH GENERAL UPDATE
      1 - THE FLETCHER AND XU SWITCH WITH SPECIAL UPDATE
      2 - THE DENNIS AND WELSCH SWITCH
      3 - THE RAMSIN AND WEDIN SWITCH
  $CHECK(MOT2,0,'0\1\2\3',3)
  $HELP
    CHOICE OF THE INITIAL APPROXIMATION OF THE HESSIAN
    MATRIX:
      1 - UNIT INITIAL APPROXIMATION
      2 - RANDOM INITIAL APPROXIMATION
  $CHECK(INITH,1,'1\2',4)
  $DEFAULT='5.0D-4'
  $IF(TYPE='L') $DEFAULT='4.0D-2'
  $HELP
    TOLERANCE FOR APPLICATION OF THE BFGS METHOD
  $CHECK(ETA5,DEFAULT,REAL,4)
  $N='NF'
  $ADD(REAL,'\$AF($NA)\$H($M)\$AH($MAH)\PPJ\PPB')
$REM  $ADD(REAL,'\R\F\FO\PO\ETA5')
  $ADD(INTEGER,'\$IA($NA)\$IH($NF+1)\$JH($M)\$IAG($NA+1)\$JAG($MA)&
  \IPOM')
$REM  $ADD(INTEGER,'\$N\NA\M\MA\MAH')
  CALL UUSSD6($N,NA,M,MA,MAH,$IA,$AF,$H,$IH,$JH,$AH,$IAG,$JAG,R,F,FO,PO&
,ETA5,PPJ,PPB,IPOM,$MOT2,$INITH)
  $ADD(SINIT)
    CALL UXVINS(NA,3,$IA)
  $ENDADD
  $EXIT
